BaseServletDTO
Date: 2016-06-25

org.osgi.service.http.runtime.dto

## Class BaseServletDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.http.runtime.dto.BaseServletDTO

- Direct Known Subclasses:
    ErrorPageDTO, ServletDTO

      public abstract class BaseServletDTO
      extends org.osgi.dto.DTO

  Represents common information about a `javax.servlet.Servlet` service.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `asyncSupported` Specifies whether the servlet supports asynchronous processing.
    `java.util.Map<java.lang.String,java.lang.String>` | `initParams` The servlet initialization parameters as provided during registration of the servlet.
    `java.lang.String` | `name` The name of the servlet.
    `long` | `serviceId` Service property identifying the servlet.
    `long` | `servletContextId` The service id of the servlet context for the servlet represented by this DTO.
    `java.lang.String` | `servletInfo` The information string from the servlet.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseServletDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      The name of the servlet. This value is never `null`.

    - #### servletInfo

          public java.lang.String servletInfo

      The information string from the servlet.

      This is the value returned by the `Servlet.getServletInfo()` method.

    - #### asyncSupported

          public boolean asyncSupported

      Specifies whether the servlet supports asynchronous processing.

    - #### initParams

          public java.util.Map<java.lang.String,java.lang.String> initParams

      The servlet initialization parameters as provided during registration of the servlet. Additional parameters like the Http Service Runtime attributes are not included. If the service has no initialization parameters, the map is empty.

    - #### servletContextId

          public long servletContextId

      The service id of the servlet context for the servlet represented by this DTO.

    - #### serviceId

          public long serviceId

      Service property identifying the servlet. In the case of a servlet registered in the service registry and picked up by a Http Whiteboard Implementation, this value is not negative and corresponds to the service id in the registry. If the servlet has not been registered in the service registry, the value is negative and a unique negative value is generated by the Http Service Runtime in this case.

  - ### Constructor Detail

    - #### BaseServletDTO

          public BaseServletDTO()